- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstPatchChunkInfo Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | version
| Format Version (should be 1).
VstInt32 | pluginUniqueID
| UniqueID of the plug-in.
VstInt32 | pluginVersion
| Plug-in Version.
VstInt32 | numElements
| Number of Programs (Bank) or Parameters (Program).
char | future [48]
| Reserved for future use.

## Detailed Description

Structure used for effBeginLoadBank/effBeginLoadProgram.

## Member Data Documentation

char VstPatchChunkInfo::future[48]

Reserved for future use.

VstInt32 VstPatchChunkInfo::numElements

Number of Programs (Bank) or Parameters (Program).

VstInt32 VstPatchChunkInfo::pluginUniqueID

UniqueID of the plug-in.

VstInt32 VstPatchChunkInfo::pluginVersion

Plug-in Version.

VstInt32 VstPatchChunkInfo::version

Format Version (should be 1).

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.